Bug 830013 - Review Request: flowblade - Non-linear video editor [NEEDINFO]
Review Request: flowblade - Non-linear video editor
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 22:04 EDT by Adrian Alves
Modified: 2014-03-12 05:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-12 05:35:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: needinfo? (aalves)


Attachments (Terms of Use)

  None (edit)
Description Adrian Alves 2012-06-07 22:04:36 EDT
Spec URL: http://alvesadrian.fedorapeople.org/flowblade.spec
SRPM URL: http://alvesadrian.fedorapeople.org/flowblade-0.6.0-1.fc16.src.rpm
Description: Flowblade Movie Editor is a multitrack non-linear video editor for Linux released under GPL 3 license. Flowblade is designed to provide a fast, precise and as-simple-as-possible editing experience. Flowblade employs film style editing paradigm in which clips are usually automatically placed tightly after the previous clip - or between two existing clips - when they are inserted on the timeline. Edits are fine tuned by trimming in and out points of clips, or by cutting and deleting parts of clips. Film style editing is faster for creating programs with mostly straight cuts and audio splits, but may be slower when programs contain complex composites unless correct work flow is followed. Flowblade provides powerful tools to mix and filter video and audio.
Fedora Account System Username:alvesadrian
Comment 1 Peter Lemenkov 2012-06-08 00:33:39 EDT
"Requires:       ffmpeg"

This won't be allowed.
Comment 2 Matthias Runge 2012-06-08 04:53:28 EDT
Requires:       frei0r 

This doesn't exist in fedora, what is this, where is that from?
Comment 3 Adrian Alves 2012-06-09 21:59:00 EDT
(In reply to comment #1)
> "Requires:       ffmpeg"
> 
> This won't be allowed.

Fixed and tested with rpmlint
Spec URL: http://alvesadrian.fedorapeople.org/flowblade.spec
SRPM URL: http://alvesadrian.fedorapeople.org/flowblade-0.6.0-2.fc16.src.rpm
Comment 4 Richard Shaw 2012-06-15 10:09:19 EDT
While I'd like to see this in Fedora, most video editors are in RPM Fusion.

I maintain Openshot and co-maintain Kdenlive. I actually packaged Flowblade as well before I searched for it and found this review request.

The ffmpeg requirement is a blocker here and although you could remove it as a "Requires:" it would pretty much cripple it so I think RPM Fusion (or ATrpms) would be more appropriate.

A couple of things about your spec:

1. I think you're approach to sitelib is excessive. Even the python template in rpmdev-newspec just uses:

%{python_sitelib}/*

2. Additionally, you can't use "%{_libdir}" because even though this is a noarch package it will still resolve to /usr/lib64 on x86_64 systems. Instead use:

%{_prefix}/lib/mime/packages/flowblade

3. Have you actually tested the program? The default paths for the modules are not correct once installed. I had to use the following:

# Fix module path in executable
sed -i 's|modules_path = "/usr/share/pyshared/Flowblade"|modules_path = "%{python_sitelib}/Flowblade"|' %{name}

# Fix melt since it's renamed mlt-melt in RPM Fusion.
sed -i "s|melt_path = whereis('melt')|melt_path = whereis('mlt-melt')|" Flowblade/mltenv.py

Note You need to log in before you can comment on or make changes to this bug.